La apariencia de Plesk resulta dañada tras actualizar a la versión 12.5

Created:

2016-11-16 13:08:33 UTC

Modified:

2017-08-16 16:57:14 UTC

0

Was this article helpful?


Have more questions?

Enviar una solicitud

La apariencia de Plesk resulta dañada tras actualizar a la versión 12.5

Applicable to:

  • Plesk 12.5 for Linux
  • Plesk Onyx for Linux
  • Plesk 12.0 for Linux
  • Plesk 12.5 for Windows

Síntomas

Tras actualizar Plesk 12.0 a Plesk 12.5, Plesk no muestra el contenido de las páginas. El diseño de Plesk está dañado. Firebug captura uno de los siguientes errores:

JavaScript error: Uncaught TypeError: Smb.Dropdown is not a function
JavaScript error: TypeError: Smb.Dropdown is not a constructor

O bien:

TypeError: filterConfig is undefined

Puede que se obtengan errores similares cuando se interactúa con el interfaz de Plesk. Por ejemplo:

Internal error.
TypeError: filterConfig is undefined

O bien:

No es posible acceder a la pestaña Correo o Administrador de archivos.

Causa

La actualización de Plesk 12.0.18 a 12.5.30 no se ha completado correctamente. Concretamente, se han duplicado los paquetes plesk-core y plesk-l10n o bien los paquetes (o archivos de los paquetes) no se han actualizado correctamente.

Resolución

  1. Instale el paquete yum-utils :

    # yum install yum-utils
  2. Compruebe la existencia de paquetes duplicados ejecutando el siguiente comando:

    [root@server ~]# package-cleanup --dupes
    Loaded plugins: fastestmirror
    ...
    psa-12.0.18-cos6.build1200140606.15.x86_64
    psa-12.5.30-cos6.build1205150826.19.x86_64
    ...
  3. Preste especial atención a no eliminar ningún paquete importante. Intente eliminar las versiones más antiguas de los paquetes:

    # package-cleanup --cleandupes
  4. Intente volver a efectuar la actualización.

¿Tiene más preguntas? Enviar una solicitud
Inicie sesión para dejar un comentario.